import { j as r } from "../../node_modules/react/jsx-runtime.mjs";
import P, { useMemo as b } from "react";
import "./index.less.mjs";
import { Spin as w, Watermark as H, Affix as B, Tabs as N } from "antd";
import C from "../BitzPageHeader/index.mjs";
import R from "../../node_modules/classnames/index.mjs";
function S(e) {
  return typeof e == "object" ? e : { spinning: e };
}
const z = ({
  tabList: e,
  tabActiveKey: t,
  onTabChange: a,
  hashId: n,
  tabBarExtraContent: d,
  tabProps: f,
  prefixedClassName: x
}) => Array.isArray(e) || d ? /* @__PURE__ */ r.jsx(
  N,
  {
    className: `${x}-tabs ${n}`.trim(),
    activeKey: t,
    onChange: (s) => {
      a && a(s);
    },
    tabBarExtraContent: d,
    items: e == null ? void 0 : e.map((s, m) => {
      var u;
      return {
        label: s.tab,
        ...s,
        key: ((u = s.key) == null ? void 0 : u.toString()) || (m == null ? void 0 : m.toString())
      };
    }),
    ...f,
    children: e == null ? void 0 : e.map((s, m) => /* @__PURE__ */ r.jsx(N.TabPane, { tab: s.tab, ...s }, s.key || m))
  }
) : null, M = (e, t, a, n) => !e && !t ? null : /* @__PURE__ */ r.jsx("div", { className: `${a}-detail ${n}`.trim(), children: /* @__PURE__ */ r.jsx("div", { className: `${a}-main ${n}`.trim(), children: /* @__PURE__ */ r.jsxs("div", { className: `${a}-row ${n}`.trim(), children: [
  e && /* @__PURE__ */ r.jsx("div", { className: `${a}-content ${n}`.trim(), children: e }),
  t && /* @__PURE__ */ r.jsx(
    "div",
    {
      className: `${a}-extraContent ${n}`.trim(),
      children: t
    }
  )
] }) }) }), A = (e) => {
  var p;
  const {
    title: t,
    content: a,
    pageHeaderRender: n,
    header: d,
    prefixedClassName: f,
    extraContent: x,
    childrenContentStyle: s,
    style: m,
    prefixCls: u,
    hashId: h,
    value: l,
    breadcrumbRender: i,
    ...v
  } = e, $ = () => {
    if (i)
      return i;
  };
  if (n === !1)
    return null;
  if (n)
    return /* @__PURE__ */ r.jsxs(r.Fragment, { children: [
      " ",
      n({ ...e, ...l })
    ] });
  let j = t;
  !t && t !== !1 && (j = l.title);
  const g = {
    ...l,
    title: j,
    ...v,
    footer: z({
      ...v,
      hashId: h,
      breadcrumbRender: i,
      prefixedClassName: f
    }),
    ...d
  }, { breadcrumb: o } = g, y = (!o || !(o != null && o.itemRender) && !((p = o == null ? void 0 : o.items) != null && p.length)) && !i;
  return [
    "title",
    "subTitle",
    "extra",
    "tags",
    "footer",
    "avatar",
    "backIcon"
  ].every((c) => !g[c]) && y && !a && !x ? null : /* @__PURE__ */ r.jsx(
    C,
    {
      ...g,
      className: `${f}-warp-page-header ${h}`.trim(),
      breadcrumb: i === !1 ? void 0 : { ...g.breadcrumb, ...l.breadcrumbProps },
      breadcrumbRender: $(),
      prefixCls: u,
      children: (d == null ? void 0 : d.children) || M(a, x, f, h)
    }
  );
}, V = (e) => {
  var p;
  const t = "id_asd123", {
    children: a,
    loading: n = !1,
    className: d,
    style: f,
    footer: x,
    affixProps: s,
    // token: propsToken,
    fixedHeader: m,
    breadcrumbRender: u,
    // footerToolBarProps,
    childrenContentStyle: h,
    ...l
  } = e, i = "bitz-page-container", v = b(() => {
    var c;
    return u == !1 ? !1 : u || ((c = l == null ? void 0 : l.header) == null ? void 0 : c.breadcrumbRender);
  }, [u, (p = l == null ? void 0 : l.header) == null ? void 0 : p.breadcrumbRender]), $ = A({
    ...l,
    breadcrumbRender: v,
    ghost: !0,
    hashId: t,
    prefixCls: void 0,
    prefixedClassName: i,
    value: {}
  }), j = b(() => {
    if (P.isValidElement(n))
      return n;
    if (typeof n == "boolean" && !n)
      return null;
    const c = S(n);
    return c.spinning ? /* @__PURE__ */ r.jsx("div", { style: { paddingBlockStart: 100, textAlign: "center" }, children: /* @__PURE__ */ r.jsx(w, { size: "large", ...c }) }) : null;
  }, [n]), g = b(() => a ? /* @__PURE__ */ r.jsx(r.Fragment, { children: /* @__PURE__ */ r.jsx(
    "div",
    {
      className: R(
        `${i}-children-container ${t}`.trim()
      ),
      style: {
        // paddingBlockStart: props?.header ? 0 : token?.layout?.pageContainer?.paddingBlockPageContainerContent,
        ...h
      },
      children: a
    }
  ) }) : null, [a, i, h, t]), o = b(() => {
    const c = j || g;
    if (e.waterMarkProps) {
      const k = {
        // ...value.waterMarkProps,
        ...e.waterMarkProps
      };
      return /* @__PURE__ */ r.jsx(H, { ...k, children: c });
    }
    return c;
  }, [e.waterMarkProps, j, g]), y = R(i, t, d, {
    [`${i}-with-footer`]: x,
    [`${i}-with-affix`]: m && $
    // [`${basePageContainer}-stylish`]: !!restProps.stylish,
  });
  return /* @__PURE__ */ r.jsx("div", { className: "BitzPageContainerBlock", children: /* @__PURE__ */ r.jsxs("div", { style: f, className: y, children: [
    m && $ ? (
      // 在 hasHeader 且 fixedHeader 的情况下，才需要设置高度
      /* @__PURE__ */ r.jsx(
        B,
        {
          offsetTop: 1,
          ...s,
          className: `${i}-affix ${t}`.trim(),
          children: /* @__PURE__ */ r.jsx("div", { className: `${i}-warp ${t}`.trim(), children: $ })
        }
      )
    ) : $,
    o && o
  ] }) });
};
export {
  V as default
};
