import { j as E } from "../../../node_modules/react/jsx-runtime.mjs";
import b from "../../../hooks/useMergedState.mjs";
import { createContext as P, useRef as R, useMemo as k, useEffect as J, useCallback as q } from "react";
import { genColumnKey as A } from "./utils/index.mjs";
import y from "../../../node_modules/lodash-es/merge.mjs";
function B(e = {}) {
  var h, K, V, g, T, M, v, x, z;
  const f = R([]), { defaultSize: N = "lg" } = e, [j, I] = b(
    () => e.size ?? N,
    {
      value: e.size,
      onChange: e.onSizeChange
    }
  ), S = k(() => {
    var u, n;
    if ((u = e == null ? void 0 : e.columnsState) != null && u.defaultValue)
      return e.columnsState.defaultValue;
    const t = {};
    return (n = e.columns) == null || n.forEach(({ key: i, dataIndex: m, fixed: o, disable: a }, l) => {
      const c = A(i ?? m, l);
      c && (t[c] = {
        show: !0,
        fixed: o,
        disable: a
      });
    }), t;
  }, [e.columns]), [d, r] = b(
    () => {
      var i, m, o, a, l;
      const { persistenceType: t, persistenceKey: u, onlineGet: n } = e.columnsState || {};
      if (u && t && typeof window < "u")
        if (t !== "online") {
          const c = window[t];
          try {
            const s = c == null ? void 0 : c.getItem(u);
            if (s)
              return (i = e == null ? void 0 : e.columnsState) != null && i.defaultValue ? y(
                JSON.parse(s),
                (m = e == null ? void 0 : e.columnsState) == null ? void 0 : m.defaultValue
              ) : JSON.parse(s);
          } catch (s) {
            console.warn(s);
          }
        } else
          try {
            (o = n == null ? void 0 : n(u)) == null || o.then((c) => {
              var s, O;
              if (c)
                return (s = e == null ? void 0 : e.columnsState) != null && s.defaultValue ? y(c, (O = e == null ? void 0 : e.columnsState) == null ? void 0 : O.defaultValue) : c;
            });
          } catch (c) {
            console.warn(c);
          }
      return e.columnsStateMap || ((a = e.columnsState) == null ? void 0 : a.value) || ((l = e.columnsState) == null ? void 0 : l.defaultValue) || S;
    },
    {
      value: ((h = e.columnsState) == null ? void 0 : h.value) || e.columnsStateMap,
      onChange: ((K = e.columnsState) == null ? void 0 : K.onChange) || e.onColumnsStateChange
    }
  );
  J(() => {
    var i, m, o;
    const { persistenceType: t, persistenceKey: u, onlineGet: n } = e.columnsState || {};
    if (u && t && typeof window < "u")
      if (t !== "online") {
        const a = window[t];
        try {
          const l = a == null ? void 0 : a.getItem(u);
          l ? (i = e == null ? void 0 : e.columnsState) != null && i.defaultValue ? r(
            y(
              JSON.parse(l),
              (m = e == null ? void 0 : e.columnsState) == null ? void 0 : m.defaultValue
            )
          ) : r(JSON.parse(l)) : r(S);
        } catch (l) {
          console.warn(l);
        }
      } else
        try {
          (o = n == null ? void 0 : n(u)) == null || o.then((a) => {
            var l, c;
            if (a)
              return (l = e == null ? void 0 : e.columnsState) != null && l.defaultValue ? y(a, (c = e == null ? void 0 : e.columnsState) == null ? void 0 : c.defaultValue) : a;
          });
        } catch (a) {
          console.warn(a);
        }
  }, [
    (V = e.columnsState) == null ? void 0 : V.persistenceKey,
    (g = e.columnsState) == null ? void 0 : g.persistenceType,
    S
  ]);
  const w = q(() => {
    const { persistenceType: t, persistenceKey: u } = e.columnsState || {};
    if (!u || !t || typeof window > "u")
      return;
    const n = window[t];
    try {
      n == null || n.removeItem(u);
    } catch (i) {
      console.warn(i);
    }
  }, [e.columnsState]);
  J(() => {
    var n, i;
    if (!((n = e.columnsState) != null && n.persistenceKey) || !((i = e.columnsState) != null && i.persistenceType) || typeof window > "u")
      return;
    const {
      persistenceType: t,
      persistenceKey: u
      // onlineChange
    } = e.columnsState;
    if (t !== "online") {
      const m = window[t];
      try {
        m == null || m.setItem(u, JSON.stringify(d));
      } catch (o) {
        console.warn(o), w();
      }
    }
  }, [
    (T = e.columnsState) == null ? void 0 : T.persistenceKey,
    d,
    (M = e.columnsState) == null ? void 0 : M.persistenceType
  ]);
  const C = {
    persistenceType: (v = e.columnsState) == null ? void 0 : v.persistenceType,
    persistenceKey: (x = e.columnsState) == null ? void 0 : x.persistenceKey,
    onlineChange: (z = e.columnsState) == null ? void 0 : z.onlineChange,
    sortKeyColumns: f.current,
    setSortKeyColumns: (t) => {
      f.current = t;
    },
    columnsMap: d,
    setColumnsMap: r,
    setTableSize: I,
    tableSize: j,
    columns: e.columns,
    clearPersistenceStorage: w,
    defaultColumnKeyMap: S
  };
  return Object.defineProperty(C, "sortKeyColumns", {
    get: () => f.current
  }), C;
}
const D = P({}), W = (e) => {
  const f = B(e.initValue);
  return /* @__PURE__ */ E.jsx(D.Provider, { value: f, children: e.children });
};
export {
  D as TableContext,
  W as default
};
