import { FC } from "react";
interface Option {
    value?: string | number;
    label?: string;
    children?: Option[];
}
type IProps = {
    /**
     * 默认值
     */
    defaultValue?: string[];
    /**
     * type Option = {
     *  value?: string | number;
     *  label?: string;
     *  children?: Option[];
     * }
     */
    options?: Option[];
    /**
     * 占位符
     */
    placeholder?: string;
    /**
     *
     * 选择完成后的回调
     */
    onChange?: (value?: string[], values?: {
        value?: string | number;
        label?: string;
    }[]) => void;
};
declare const BitzCascader: FC<IProps>;
export default BitzCascader;
