import { FC, ReactNode } from 'react';
import './index.less';
interface BitzLoadMoreProps {
    /**
     * 高度-这个属于必填
     */
    height?: number;
    /**
     * 卡槽可以插入任何自定义内容
     */
    extra?: ReactNode;
    /**
     * 下拉刷新返回函数
     */
    refreshEmit?: () => void;
    /**
     * 上拉加载更多返回函数
     */
    loadEmit?: () => void;
    /**
     * 没有更多数据提示
     */
    showNoMore?: boolean;
    /**
     * 下拉刷新的颜色定义
     */
    color?: any;
}
declare const BitzLoadMore: FC<BitzLoadMoreProps>;
export default BitzLoadMore;
