import { ReactNode } from 'react';
interface ExportIconProps {
    icon?: ReactNode;
    loading?: boolean;
    /** 是否显示导出icon */
    show?: boolean;
    /** 是否显示【导出选中数据】菜单项 */
    showSelectMenu?: boolean;
    /**
     * menu点击事件，通过key值判断是导出选中数据或导出查询结果
     * @Key1 导出选中数据: selected
     * @Key2 导出查询结果: all
     */
    onClick?: (key: 'selected' | 'all') => void;
}
declare const _default: import("react").NamedExoticComponent<ExportIconProps>;
export default _default;
