/// <reference types="react" />
import { BitzTableToolBarProps } from './Wrapper';
import ExportIcon from './ExportIcon';
import DensityIcon from './DensityIcon';
import RefreshIcon from './RefreshIcon';
import ColConfigIcon from './ColConfigIcon';
type CompoundedComponent = React.ForwardRefExoticComponent<BitzTableToolBarProps> & {
    ExportIcon: typeof ExportIcon;
    RefreshIcon: typeof RefreshIcon;
    DensityIcon: typeof DensityIcon;
    ColConfigIcon: typeof ColConfigIcon;
};
declare const BitzTableToolBar: CompoundedComponent;
export default BitzTableToolBar;
