import { j as e } from "../../node_modules/react/jsx-runtime.mjs";
import { memo as C, useMemo as i } from "react";
import { Space as c, Button as o, DatePicker as b, Dropdown as h } from "antd";
import { useBitzFuiCalendarStore as w, CalendarTypeEnum as a } from "./BitzFuiCalendarStore.mjs";
import g from "../../_virtual/dayjs.min.mjs";
import T from "../../node_modules/@ant-design/icons/es/icons/AppstoreOutlined.mjs";
import v from "../../node_modules/@ant-design/icons/es/icons/LeftOutlined.mjs";
import _ from "../../node_modules/@ant-design/icons/es/icons/RightOutlined.mjs";
import D from "../../node_modules/@ant-design/icons/es/icons/DownOutlined.mjs";
const z = () => {
  const {
    CalendarType: n,
    currentDay: d,
    toggleCalendarType: u,
    setCurrentDay: l
  } = w((r) => r), s = [
    {
      key: a.day,
      label: "日"
    },
    {
      key: a.workWeek,
      label: "工作周"
      // icon: <SmileOutlined />,
    },
    {
      key: a.week,
      label: "周"
    },
    {
      key: a.agendum,
      label: "议程"
    }
  ], m = i(() => {
    var r;
    return ((r = s.find((t) => (t == null ? void 0 : t.key) === n)) == null ? void 0 : r.label) ?? "";
  }, [n]), k = (r) => {
    u(r.key);
  }, f = i(() => {
    switch (n) {
      case a.day:
        return "date";
      case a.workWeek:
        return "week";
      case a.week:
        return "week";
      case a.agendum:
        return "date";
      default:
        return "date";
    }
  }, [n]), y = (r, t) => {
    r && l(r);
  }, x = () => {
    [a.day, a.agendum].includes(n) && l(d.add(-1, "day")), [a.workWeek, a.week].includes(n) && l(d.add(-7, "day"));
  }, p = () => {
    [a.day, a.agendum].includes(n) && l(d.add(1, "day")), [a.workWeek, a.week].includes(n) && l(d.add(7, "day"));
  }, j = () => {
    l(g().startOf("date"));
  };
  return /* @__PURE__ */ e.jsxs("div", { className: "bitzFuiCalendarToolbar", children: [
    /* @__PURE__ */ e.jsx("div", { className: "bitzFuiCalendarToolbar__left", children: /* @__PURE__ */ e.jsxs(c, { children: [
      /* @__PURE__ */ e.jsx("div", { className: "bitzFuiCalendarToolbar__today", children: /* @__PURE__ */ e.jsx(o, { onClick: j, type: "text", icon: /* @__PURE__ */ e.jsx(T, {}), children: "今天" }) }),
      /* @__PURE__ */ e.jsx(o, { onClick: x, icon: /* @__PURE__ */ e.jsx(v, {}) }),
      /* @__PURE__ */ e.jsx(o, { onClick: p, icon: /* @__PURE__ */ e.jsx(_, {}) }),
      /* @__PURE__ */ e.jsx(
        b,
        {
          onChange: y,
          format: "YYYY月MM月",
          allowClear: !1,
          picker: f,
          value: d,
          bordered: !1
        }
      )
    ] }) }),
    /* @__PURE__ */ e.jsx("div", { className: "bitzFuiCalendarToolbar__right", children: /* @__PURE__ */ e.jsx("div", { className: "bitzFuiCalendarToolbar__right_dropdown", children: /* @__PURE__ */ e.jsx(
      h,
      {
        menu: {
          items: s,
          selectable: !0,
          defaultSelectedKeys: [n],
          onClick: k
        },
        children: /* @__PURE__ */ e.jsx("a", { onClick: (r) => r.preventDefault(), children: /* @__PURE__ */ e.jsxs(c, { children: [
          /* @__PURE__ */ e.jsx("div", { children: m }),
          /* @__PURE__ */ e.jsx(D, {})
        ] }) })
      }
    ) }) })
  ] });
}, P = C(z);
export {
  P as default
};
