import { j as s } from "../../../node_modules/react/jsx-runtime.mjs";
import { useContext as S, useState as w, useMemo as a, useEffect as ss } from "react";
import { isMobile as C } from "../../../node_modules/react-device-detect/dist/lib.mjs";
import { Table as N, Skeleton as es } from "antd";
import ns from "../../BitzDrawer/index.mjs";
import ls from "../../BitzLoadMore/index.mjs";
import is from "../../BitzPagination/index.mjs";
import rs from "../../BitzNoData/index.mjs";
import os, { TableContext as xs } from "../Store/index.mjs";
import ts from "../TableSkeleton/index.mjs";
import { columnSort as hs, genColumnKey as M } from "../Store/utils/index.mjs";
import "./index.less.mjs";
import fs from "../../../node_modules/lodash-es/at.mjs";
const bs = ({
  tableItemEmit: b = () => {
  },
  showPagination: c = !0,
  dataSource: e = [],
  total: j = 0,
  columns: t,
  loading: h = !1,
  skeletonNum: T = 2,
  skeletonRender: v,
  skeletonRowNum: L = 4,
  skeletonRowsWidth: k = ["35%", "100%", "100%", "60%"],
  tableOperationEmit: E = () => {
  },
  mobileLoadEmit: O = () => {
  },
  mobileRefreshEmit: D = () => {
  },
  operations: K = [],
  enableControlPage: P,
  pagination: _,
  paginationEmit: F = () => {
  },
  mobilePageHeight: $ = 500,
  mobileCancelText: A = "取消",
  noDataTitle: U,
  noDataImg: H,
  color: V,
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  size: g,
  showTableTool: X = !0,
  tableAction: q,
  tableToolbar: G,
  scroll: r,
  resetPage: J,
  ...p
}) => {
  const x = S(xs), [Q, m] = w(!1), [R, W] = w({}), Y = a(() => (e == null ? void 0 : e.length) == j && (e == null ? void 0 : e.length) > 0, [e, j]), Z = (l) => {
    m(!0), W(l), b(l);
  }, d = () => {
    m(!1);
  }, I = (l) => {
    m(!1), E(l.type, R);
  }, f = a(() => {
    const l = (o) => o.map((i) => {
      const u = M(
        (i == null ? void 0 : i.key) || (i == null ? void 0 : i.dataIndex),
        i.index
      ), z = x.columnsMap[u];
      return z && z.show === !1 ? !1 : i.children ? {
        ...i,
        children: l(i.children)
      } : i;
    }).filter(Boolean), n = l(t);
    return [
      N.SELECTION_COLUMN,
      N.EXPAND_COLUMN,
      ...n.sort(hs(x.columnsMap))
    ];
  }, [x.columnsMap, t]);
  ss(() => {
    if (t && t.length > 0) {
      const l = t.map(
        (n) => (
          // @ts-ignore
          M((n == null ? void 0 : n.key) ?? (n == null ? void 0 : n.dataIndex), n == null ? void 0 : n.dataIndex)
        )
      );
      x.setSortKeyColumns(l);
    }
  }, [t]);
  const B = a(() => r != null && r.x ? r : r != null && r.y ? e != null && e.length ? { x: 1e3, y: r.y } : { y: r.y } : e != null && e.length ? { x: 1e3 } : void 0, [e, r]), y = a(() => `${g ?? (x == null ? void 0 : x.tableSize) ?? "lg"}BitzTable`, [g, x.tableSize]);
  return /* @__PURE__ */ s.jsxs("div", { className: "bitzTableBlock", children: [
    !C && /* @__PURE__ */ s.jsxs("div", { className: `bitzTableContainer ${y}`, children: [
      X && /* @__PURE__ */ s.jsxs("div", { className: "bitzTableToolbarBlock", children: [
        q,
        G
      ] }),
      h ? /* @__PURE__ */ s.jsx(
        ts,
        {
          columns: f,
          dataLength: e == null ? void 0 : e.length,
          scroll: B,
          rowSelection: p.rowSelection,
          expandable: p.expandable,
          className: y
        }
      ) : /* @__PURE__ */ s.jsx(
        N,
        {
          columns: f,
          dataSource: e,
          loading: h,
          size: "large",
          pagination: !1,
          scroll: B,
          ...p
        }
      ),
      c && (e == null ? void 0 : e.length) != 0 && /* @__PURE__ */ s.jsx("div", { className: "bitzTablePagination", children: /* @__PURE__ */ s.jsx(
        is,
        {
          enableControl: P,
          pagination: _,
          total: j,
          dataSource: e,
          resetPage: J,
          paginationEmit: F
        }
      ) })
    ] }),
    C && /* @__PURE__ */ s.jsxs(s.Fragment, { children: [
      (h || (e == null ? void 0 : e.length) > 0) && /* @__PURE__ */ s.jsx(
        ls,
        {
          color: V,
          height: $,
          showNoMore: Y,
          refreshEmit: D,
          loadEmit: O,
          extra: /* @__PURE__ */ s.jsxs("div", { className: "mobileTable", children: [
            e == null ? void 0 : e.map((l, n) => /* @__PURE__ */ s.jsxs("div", { children: [
              /* @__PURE__ */ s.jsx("div", { className: "rowBox", children: f == null ? void 0 : f.map((o, i) => /* @__PURE__ */ s.jsx("div", { children: !(o != null && o.mobileHide) && /* @__PURE__ */ s.jsxs(
                "div",
                {
                  className: "row",
                  onClick: () => {
                    Z(l);
                  },
                  children: [
                    /* @__PURE__ */ s.jsxs("div", { className: "label", children: [
                      o.title,
                      "："
                    ] }),
                    /* @__PURE__ */ s.jsx("div", { className: "value", children: o.render(
                      fs(l, o == null ? void 0 : o.dataIndex),
                      l,
                      n
                    ) })
                  ]
                }
              ) }, i)) }),
              /* @__PURE__ */ s.jsx("div", { className: "rowBoxLine" })
            ] }, n)),
            h && Array.from({ length: T }).map((l, n) => /* @__PURE__ */ s.jsxs("div", { children: [
              /* @__PURE__ */ s.jsx("div", { className: "rowBox", children: v ? v() : /* @__PURE__ */ s.jsx(
                es,
                {
                  title: !1,
                  paragraph: {
                    rows: L,
                    width: k
                  },
                  active: !0
                }
              ) }),
              /* @__PURE__ */ s.jsx("div", { className: "rowBoxLine" })
            ] }, n)),
            /* @__PURE__ */ s.jsx(
              ns,
              {
                className: "tableMobileDrawer",
                open: Q,
                placement: "bottom",
                height: "auto",
                closable: !1,
                onClose: d,
                children: /* @__PURE__ */ s.jsxs("div", { className: "drawerBox", children: [
                  /* @__PURE__ */ s.jsx("div", { className: "boxBody", children: K.map((l, n) => /* @__PURE__ */ s.jsx(
                    "div",
                    {
                      className: "operaList",
                      onClick: () => {
                        I(l);
                      },
                      children: l.label
                    },
                    n
                  )) }),
                  /* @__PURE__ */ s.jsx("div", { className: "boxLine" }),
                  /* @__PURE__ */ s.jsx("div", { className: "boxFooter", onClick: d, children: A })
                ] })
              }
            )
          ] })
        }
      ),
      !h && /* @__PURE__ */ s.jsx(rs, { data: e, title: U, img: H })
    ] })
  ] });
}, Ms = (b) => (
  // @ts-ignore
  /* @__PURE__ */ s.jsx(os, { initValue: b, children: /* @__PURE__ */ s.jsx(bs, { ...b }) })
);
export {
  Ms as default
};
