import { j as e } from "../../../../node_modules/react/jsx-runtime.mjs";
import { create as Z, useModal as _, antdModalV5 as $ } from "@ebay/nice-modal-react";
import { Modal as L, Checkbox as P } from "antd";
import t from "./index.module.less.mjs";
import { useState as B, useContext as ss, useEffect as es, useCallback as O, useMemo as f } from "react";
import { TableContext as os } from "../../Store/index.mjs";
import { genColumnKey as T, columnSort as ls } from "../../Store/utils/index.mjs";
import R from "../../../../node_modules/classnames/index.mjs";
import { DndContext as ts, DragOverlay as ns, defaultDropAnimationSideEffects as as } from "../../../../node_modules/@dnd-kit/core/dist/core.esm.mjs";
import { SortableContext as cs, verticalListSortingStrategy as is, arrayMove as rs } from "../../../../node_modules/@dnd-kit/sortable/dist/sortable.esm.mjs";
import ms from "./DndItem.mjs";
import { restrictToVerticalAxis as ds, restrictToWindowEdges as us } from "../../../../node_modules/@dnd-kit/modifiers/dist/modifiers.esm.mjs";
import V from "../../../BitzButton/index.mjs";
import "./index.less.mjs";
import { useImmer as ps } from "../../../../node_modules/use-immer/dist/use-immer.module.mjs";
import z from "../../../../node_modules/lodash-es/omit.mjs";
import xs from "../../../../node_modules/@ant-design/icons/es/icons/CheckCircleOutlined.mjs";
import hs from "../../../../node_modules/@ant-design/icons/es/icons/RedoOutlined.mjs";
import fs from "../../../../node_modules/@ant-design/icons/es/icons/DragOutlined.mjs";
const ys = {
  sideEffects: as({
    styles: {
      active: {
        opacity: "0.5"
      }
    }
  })
}, Vs = Z(() => {
  var w;
  const x = _(), [u, y] = B(null), [F, k] = B(!1), [c, j] = ps({
    columnsMap: {},
    sortKeyColumns: []
  }), {
    persistenceType: W,
    persistenceKey: N,
    onlineChange: C,
    columnsMap: q,
    setColumnsMap: K,
    sortKeyColumns: G,
    setSortKeyColumns: H,
    clearPersistenceStorage: b,
    ...l
  } = ss(os);
  es(() => {
    j((s) => {
      s.columnsMap = { ...q }, s.sortKeyColumns = [...G];
    });
  }, []);
  const J = O(() => {
    b == null || b(), K(l.defaultColumnKeyMap);
  }, []), p = f(() => {
    var o, n;
    const s = [];
    return (o = l == null ? void 0 : l.columns) != null && o.length && ((n = l == null ? void 0 : l.columns) == null || n.map(({ key: d, dataIndex: a, ...r }) => {
      const h = T(
        d || a,
        [d || a].filter(Boolean).join("-")
      ), m = c.columnsMap[h || "null"];
      return (m == null ? void 0 : m.show) !== !1 && s.push({
        key: h,
        ...z(r, ["className"]),
        selectable: !1,
        disabled: (m == null ? void 0 : m.disable) === !0
      }), m;
    })), s.sort(ls(c.columnsMap));
  }, [c.columnsMap, l == null ? void 0 : l.columns]), v = O(
    (s) => {
      var o;
      return (o = c.sortKeyColumns) == null ? void 0 : o.findIndex((n) => n === s);
    },
    [c.sortKeyColumns]
  ), S = f(
    () => u ? v(u) : -1,
    [u, v]
  ), D = f(() => {
    const s = [], o = /* @__PURE__ */ new Map();
    return { list: ((d, a) => d.map(({ key: r, dataIndex: h, children: m, ...E }) => {
      var A;
      const M = T(
        r || h,
        [a == null ? void 0 : a.columnKey, E.index].filter(Boolean).join("-")
      ), i = c.columnsMap[M || "null"] || { show: !0 };
      (i == null ? void 0 : i.show) !== !1 && !m && s.push(M);
      const g = {
        key: M,
        ...z(E, ["className"]),
        selectable: !1,
        disabled: i.disable === !0,
        disableCheckbox: typeof i.disable == "boolean" ? i == null ? void 0 : i.disable : (A = i == null ? void 0 : i.disable) == null ? void 0 : A.checkbox,
        isLeaf: a ? !0 : void 0
      };
      return o.set(r, g), g;
    }))(l == null ? void 0 : l.columns), keys: s, map: o };
  }, [c.columnsMap, l == null ? void 0 : l.columns]), Q = (s, o) => {
    const n = { ...c.columnsMap };
    ((a) => {
      const r = { ...n[a] };
      r.show = !s, n[a] = r;
    })(o.key), k(!0), j((a) => {
      a.columnsMap = { ...n };
    });
  }, U = (s, o) => {
    const n = { ...c.columnsMap }, d = rs(c.sortKeyColumns, s, o);
    d.forEach((a, r) => {
      n[a] = { ...n[a] || {}, order: r };
    }), k(!0), j((a) => {
      a.columnsMap = { ...n }, a.sortKeyColumns = d;
    });
  }, X = f(() => {
    var s, o;
    return u ? ((o = (s = l == null ? void 0 : l.columns) == null ? void 0 : s.find((n) => n.key === u)) == null ? void 0 : o.title) ?? "" : "";
  }, [l == null ? void 0 : l.columns, u]), Y = () => {
    K(c.columnsMap), H(c.sortKeyColumns), W === "online" && N && (C == null || C(N, c.columnsMap)), x.resolve({ ...c.columnsMap }), x.hide();
  }, I = () => {
    x.hide();
  };
  return /* @__PURE__ */ e.jsxs(
    L,
    {
      className: "tableColumnSettingModal",
      title: "自定义列",
      ...$(x),
      width: 600,
      onCancel: I,
      footer: /* @__PURE__ */ e.jsxs(e.Fragment, { children: [
        /* @__PURE__ */ e.jsx(
          V,
          {
            type: "primary",
            icon: /* @__PURE__ */ e.jsx(xs, {}),
            onClick: Y,
            disabled: !F,
            children: "保存"
          }
        ),
        /* @__PURE__ */ e.jsx(V, { onClick: I, children: "取消" })
      ] }),
      children: [
        /* @__PURE__ */ e.jsx("div", { className: t.introduce, children: "选择要在表中显示的可用列。拖动选定的列以对其重新排序。" }),
        /* @__PURE__ */ e.jsxs("div", { className: t.container, children: [
          /* @__PURE__ */ e.jsxs("div", { className: t.block, children: [
            /* @__PURE__ */ e.jsxs("div", { className: t.header, children: [
              /* @__PURE__ */ e.jsx("div", { className: t.title, children: "可用列" }),
              /* @__PURE__ */ e.jsx("div", {})
            ] }),
            /* @__PURE__ */ e.jsx("div", { className: t.body, children: /* @__PURE__ */ e.jsx("ul", { className: t.content, children: (w = D.list) == null ? void 0 : w.map((s) => {
              const o = D.keys.includes(s.key);
              return /* @__PURE__ */ e.jsxs(
                "li",
                {
                  className: R(t.item, {
                    [t.checked]: !o
                  }),
                  onClick: () => !s.disabled && Q(o, s),
                  children: [
                    /* @__PURE__ */ e.jsx(P, { checked: o, disabled: s.disabled }),
                    /* @__PURE__ */ e.jsx("span", { className: t["content-item-text"], children: s.title })
                  ]
                },
                s.key
              );
            }) }) })
          ] }),
          /* @__PURE__ */ e.jsxs("div", { className: t.block, children: [
            /* @__PURE__ */ e.jsxs("div", { className: t.header, children: [
              /* @__PURE__ */ e.jsx("div", { className: t.title, children: "选定的列" }),
              /* @__PURE__ */ e.jsxs("div", { className: t.reset, onClick: J, children: [
                /* @__PURE__ */ e.jsx("div", { children: "重置  " }),
                /* @__PURE__ */ e.jsx(hs, {})
              ] })
            ] }),
            /* @__PURE__ */ e.jsx("div", { className: t.body, children: /* @__PURE__ */ e.jsxs(
              ts,
              {
                modifiers: [ds, us],
                onDragStart: (s) => {
                  const { active: o } = s;
                  o && y(o == null ? void 0 : o.id);
                },
                onDragCancel: () => y(null),
                onDragEnd: (s) => {
                  y(null);
                  const { over: o } = s;
                  if (o) {
                    const n = v(o.id);
                    S !== n && U(S, n);
                  }
                },
                children: [
                  /* @__PURE__ */ e.jsx(
                    cs,
                    {
                      items: p == null ? void 0 : p.map((s) => s.key),
                      strategy: is,
                      children: /* @__PURE__ */ e.jsx("ul", { className: t.content, style: { background: "#fff" }, children: p == null ? void 0 : p.map((s) => /* @__PURE__ */ e.jsx(ms, { item: s }, s.key)) })
                    }
                  ),
                  /* @__PURE__ */ e.jsx(ns, { adjustScale: !1, dropAnimation: ys, children: u ? /* @__PURE__ */ e.jsxs("li", { className: R(t.moveItem), children: [
                    /* @__PURE__ */ e.jsx(fs, { className: t.dragIcon }),
                    /* @__PURE__ */ e.jsx("span", { className: t["moveItem-text"], children: X })
                  ] }) : null })
                ]
              }
            ) })
          ] })
        ] })
      ]
    }
  );
});
export {
  Vs as default
};
